using System;

namespace LeerDato
{
  class Program
  {
    public static void Main(string[] args)
    {
      double r = 0.0;
      bool correcto = false;
      do
      {
        Console.Write("Dato real: ");
        correcto = Leer.DatoDouble(ref r);
        if (!correcto)
          Console.Write("Error. ");
      }
      while(!correcto);
      Console.WriteLine(r * 2.0);
      
      Console.Write("Pulse una tecla para continuar...");
      Console.ReadKey(true);
    }
  }
}
